#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <portbits.h>
#include "flash.h"
#include "lcd.h"
#include "global.h"

#define CS			PORTB_4

#ifdef USE_XFONT
void flash_init(void)			// Initialize Flash (SPI) IO
{	CS=1;
	PORTB|=0x40;
	DDRB|=0xB0;
    SPSR = (1<<SPI2X);			// set clock rate fck/2
    SPCR = (1<<SPE)|(1<<MSTR);	// Enable SPI, Master
}

static inline unsigned char spi_trans(unsigned char byte)
{	SPDR = byte;
	while(!(SPSR & (1<<SPIF)));
	return (SPDR);
}

void flash_readdata (unsigned long adres, unsigned char *byte, unsigned char number)
{	CONVERTDW adress;
	adress.dw=adres;
	CS=0;
    spi_trans(0x03);
    spi_trans(adress.b[2]);
    spi_trans(adress.b[1]);
    spi_trans(adress.b[0]);
	do
	{  	*byte++=spi_trans(0);
	}
	while (--number);
	CS=1;
}
#endif


