#include "param.h"

void lcd_writecgram(unsigned char x, unsigned short y, unsigned char nr);
void lcd_writechar (unsigned char x, unsigned short y, unsigned char c);
void lcd_writebyte (unsigned char x, unsigned short y, unsigned char c, unsigned char nibblemode);
void lcd_setpixel (unsigned short x, unsigned short y, unsigned char c);
void lcd_clear(unsigned char color);
void lcd_init(void);
void lcd_line (unsigned short x1, unsigned short y1, unsigned short x2, unsigned short y2, unsigned char color);
void lcd_block (unsigned short x1, unsigned short y1, unsigned short x2, unsigned short y2, unsigned char color, unsigned char color2);
void lcd_circle(unsigned short xm, unsigned short ym, unsigned char r, unsigned char color1, unsigned char color2);
void lcd_copy(unsigned char page);

#ifdef USE_XFONT
void lcd_char(unsigned char x, unsigned short y, unsigned char c);
void lcd_fontsel(unsigned char font);
extern unsigned char fontx, fonty;
#else
#define lcd_char lcd_writechar
#define fontx   TEXT_X
#define fonty   TEXT_Y
#endif

#ifdef LARGEMEM
void lcd_viewpage(unsigned char page);
void lcd_writepage(unsigned char page);
extern volatile unsigned char lcd_viewbank;
#endif

extern unsigned char cgram[8][8];

